---
# Use python3 interpreter
ansible_python_interpreter: "/usr/bin/python3"

# Odoo vars
odoo_role_odoo_user: odoo
# odoo_role_odoo_db_name: odoo
# Set domains in host_vars
# domains: "{{ [ odoo_role_odoo_db_name ] }}"

odoo_role_download_strategy: tar
odoo_role_odoo_release: "12.0_2021-08-26"
odoo_role_odoo_version: "12.0"
odoo_role_odoo_url: "https://gitlab.com/coopdevs/OCB/-/archive/{{ odoo_role_odoo_release }}/OCB-{{ odoo_role_odoo_release }}.tar.gz"

# We want clean instances without example data in apps
odoo_role_demo_data: false

# Odoo provisioning
odoo_provisioning_version: "v0.7.2"

# Keep enabled until our backups solution works around stops relying on having db manager enabled
odoo_role_list_db: true

# Production security defaults
odoo_role_odoo_http_interface: '127.0.0.1'
odoo_role_odoo_proxy_mode: true

odoo_role_test_dbs: ["odoo-local-laborda","odoo-staging-laborda"]


# Nginx configuration
nginx_configs:
  upstream:
    - upstream odoo { server 127.0.0.1:8069; }
    - upstream nexporter { server 127.0.0.1:9100; }
    - upstream pexporter { server 127.0.0.1:9187; }

nginx_sites:
  odoo:
    - |
      listen 80;
      server_name {{ domains | default([inventory_hostname]) | join(' ') }};
      rewrite ^(.*)$ https://$host$1 permanent;
  odoo.ssl:
    - |
      listen 443 ssl;
      ssl_certificate /etc/letsencrypt/live/{{ inventory_hostname }}/fullchain.pem;
      ssl_certificate_key /etc/letsencrypt/live/{{ inventory_hostname }}/privkey.pem;
      include /etc/letsencrypt/options-ssl-nginx.conf;
      ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
      server_name {{ domains | default([inventory_hostname]) | join(' ') }};
      proxy_read_timeout 720s;
      proxy_connect_timeout 720s;
      proxy_send_timeout 720s;
      proxy_set_header X-Forwarded-Host $host;
      proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
      proxy_set_header X-Forwarded-Proto $scheme;
      proxy_set_header X-Real-IP $remote_addr;
      ssl on;
      access_log /var/log/nginx/odoo.access.log;
      error_log /var/log/nginx/odoo.error.log;
      location / {
        proxy_redirect off;
        proxy_pass http://odoo;
      }
      location /node/ {
        include proxy_params;
        proxy_redirect off;
        proxy_pass http://nexporter/metrics;
        auth_basic           "closed site";
        auth_basic_user_file /etc/odoo/.htpasswd;
      }
      location /postgres/ {
        include proxy_params;
        proxy_redirect off;
        proxy_pass http://pexporter/metrics;
        auth_basic           "closed site";
        auth_basic_user_file /etc/nginx/.pexporter.htpasswd;
      }
      gzip_types text/css text/less text/plain text/xml application/xml application/json application/javascript;
      gzip on;



odoo_role_odoo_core_modules_dict:
  shared:
    - account
    - account_analytic_default
    - account_asset
    - account_bank_statement_import
    - account_cancel
    - account_invoicing
    - analytic
    - auth_crypt
    - auth_signup
    - base
    - base_address_city
    - base_automation
    - base_iban
    - base_import
    - base_setup
    - base_vat
    - base_vat_autocomplete
    - board
    - calendar
    - contacts
    - decimal_precision
    - document
    - fetchmail
    - http_routing
    - iap
    - l10n_es
    - payment
    - payment_transfer
    - phone_validation
    - product
    - product_margin
    - purchase
    - utm
    - web
    - web_diagram
    - web_editor
    - web_planner
    - web_settings_dashboard
    - web_tour

odoo_role_odoo_community_modules_dict:
  shared:
    - account_banking_mandate
    - account_banking_pain_base
    - account_banking_sepa_credit_transfer
    - account_banking_sepa_direct_debit
    - account_due_list
    - account_financial_report
    - account_multicompany_easy_creation
    - account_payment_auto_partner_bank
    - account_payment_mode
    - account_payment_order
    - account_payment_partner
    - account_tax_balance
    - base_bank_from_iban
    - base_import_async
    - base_location
    - base_technical_features
    - contract
    - contract_sale_invoicing
    - contract_variable_qty_timesheet
    - contract_variable_quantity
    - date_range
    - easy_my_coop
    - easy_my_coop_easy_migration
    - easy_my_coop_es
    - easy_my_coop_es_website
    - easy_my_coop_website
    - easy_my_coop_website_portal
    - l10n_es_account_asset
    - l10n_es_account_bank_statement_import_n43
    - l10n_es_account_invoice_sequence
    - l10n_es_aeat
    - l10n_es_aeat_mod111
    - l10n_es_aeat_mod115
    - l10n_es_aeat_mod303
    - l10n_es_aeat_mod349
    - l10n_es_mis_report
    - l10n_es_partner
    - l10n_es_toponyms
    - mail_tracking
    - mail_tracking_mailgun
    - mass_editing
    - mass_mailing_list_dynamic
    - mis_builder
    - mis_builder_budget
    - password_security
    - product_pricelist_supplierinfo
    - project_task_default_stage
    - queue_job
    - report_xlsx
    - sale_order_invoicing_finished_task
    - sale_order_line_input
    - vh
    - vh_invoicing
    - vh_ui
    - web_decimal_numpad_dot
    - web_environment_ribbon
    - web_favicon
    - web_no_bubble
    - web_responsive
    - web_searchbar_full_width
    - web_widget_color

# odoo_role_workers: 4
# odoo_role_channels: "root:2"
odoo_role_limit_time_cpu: 1200
odoo_role_limit_time_real: 2400
